# class Gem::RemoteFetcher::FetchError

A `FetchError` exception wraps up the various possible `IO` and HTTP failures that could happen while downloading from the internet.

### Attributes

original_uri [RW]

The `URI` which was being accessed when the exception happened.

uri [RW]

The `URI` which was being accessed when the exception happened.

### Public Class Methods

new (message, uri)
Source

    # File lib/rubygems/remote_fetcher.rb, line 28
    def initialize(message, uri)
      uri = Gem::Uri.new(uri)

      super uri.redact_credentials_from(message)

      @original_uri = uri.to_s
      @uri = uri.redacted.to_s
    end

Calls superclass method `Exception::new`